org.eclipse.net4j.util.event

## Class ExecutorServiceNotifier.ThreadPool

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.event.ExecutorServiceNotifier
    - - org.eclipse.net4j.util.event.ExecutorServiceNotifier.ThreadPool

- All Implemented Interfaces:
    IExecutorServiceProvider, INotifier
  Enclosing class:
    ExecutorServiceNotifier

  Deprecated.

      @Deprecated
      public static class ExecutorServiceNotifier.ThreadPool
      extends ExecutorServiceNotifier

  Deprecated.
  Author:
    Eike Stepper
  Apiviz

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.event.ExecutorServiceNotifier

      `ExecutorServiceNotifier.ThreadPool`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThreadPool()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.net4j.util.event.ExecutorServiceNotifier

      `getExecutorService, getNotificationService, setNotificationExecutorService`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, hasListeners, lastListenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThreadPool

          public ThreadPool()

      Deprecated.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html